
from mountain import Mountain

swiss_mountains = []

fn = open('mountains.txt', 'r')
input = fn.read().splitlines()
fn.close()

# create a list of Mountain objects
swiss_mountains = [Mountain(m[0].replace('_', ' '), int(m[1]), int(m[2]), tuple(int(e) for e in 
                             m[3].split(':')), tuple(int(e) for e in m[4].split(':'))) 
                             for m in [x.split() for x in input] if len(m) > 0]

# this is how many Mountains we made
print('\nNumber of mountains: {}\n'.format(Mountain.num_mountains))

# let's climb some mountains
swiss_mountains[2].climb()
swiss_mountains[3].climb()
swiss_mountains[4].climb()
swiss_mountains[8].climb()
swiss_mountains[11].climb()
swiss_mountains[12].climb()
swiss_mountains[13].climb()
swiss_mountains[14].climb()
swiss_mountains[15].climb()

# and print a list to highlight our accomplishment
print()
for m in swiss_mountains:
    m.print_mtn()
print()
